Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "94ca952c-d8f3-4fde-83fa-2c8d870ec0c4",
"user_id": "30ba3ab8-129c-4e3a-b908-c80e07828436",
"user_planning_slot_type_id": "c805f961-3efe-4fa1-92ee-224786a28399",
"date_from": "2026-10-19T17:57:01.542183+00:00",
"date_to": "2026-10-19T17:57:01.542183+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-19T17:57:01.542183+00:00"
}